7 Replies Latest reply: Feb 8, 2013 5:09 PM by clamaround
clamaround Level 1 Level 1 (10 points)

Apple keeps releasing Camera Raw updates that are only compatible with Lion or above.  Has anyone heard why they don't seem to support Snow Leopard? There are many of us that don't want to upgrade beyond Snow Leopard for other legacy software reasons.

 

Come on, Apple.  Give us an update!

 

Carroll Lam